# temp-s-p-u

## NOTE: This is a temporary package for testing until merged into UnoCSS. Don't expect it to be maintained! If you find this and want update, please watch the Svelte portions of the [UnoCSS docs](https://github.com/unocss/unocss).


Run UnoCSS in `svelte-scoped` mode as a svelte preprocessor instead of as a Vite plugin (the normal method) to enable styles preprocessing in pipelines that don't use Vite, such as `svelte-package`.

## Installation

```
npm i -D temp-s-p-u
```

## Configuration

```js
// svelte.config.js
import adapter from '@sveltejs/adapter-auto'
import preprocess from 'svelte-preprocess'
import UnoCSS from '@unocss/svelte-preprocess-unocss'

/** @type {import('@sveltejs/kit').Config} */
const config = {
  preprocess: [
    preprocess(),
    UnoCSS(),
  ],

  kit: {
    adapter: adapter(),
  },
}

export default config
```


## License

MIT License &copy; 2022-PRESENT [jacob-8](https://github.com/jacob-8)
